Delete multiple sessions
curl --request DELETE \
--url https://api.galtea.ai/sessions/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ids": [
"id_1",
"id_2"
]
}
'import requests
url = "https://api.galtea.ai/sessions/batch"
payload = { "ids": ["id_1", "id_2"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ids: ['id_1', 'id_2']})
};
fetch('https://api.galtea.ai/sessions/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "Error type",
"message": "Error message description"
}{
"error": "Error type",
"message": "Error message description"
}Delete multiple sessions
Soft delete multiple sessions by their IDs. See Sessions.
DELETE
/
sessions
/
batch
Delete multiple sessions
Authorizations
API key authorization. Pass your API key in the Authorization header as a Bearer token. Both new (gsk_*) and legacy (gsk-) API keys are accepted, e.g. Authorization: Bearer gsk_... or Authorization: Bearer gsk-....
Body
application/json
Array of session IDs to delete
Example:
["id_1", "id_2"]Response
Sessions deleted successfully
⌘I